Name:       nas 
Summary:    The Network Audio System (NAS)
Version:    1.9.2
Release:    1.2
URL:        http://radscan.com/nas.html
License:    Public Domain
Group:      Development/Libraries
%define daemon nasd

Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Source1:    %{daemon}.init
Source2:    %{daemon}.sysconfig
Patch0:     %{name}-1.9.2-asneeded.patch
Patch1:     %{name}-1.9.2-Move-AuErrorDB-to-SHAREDIR.patch
Patch2:	    %{name}-fixes.patch
Patch3:     %{name}-fix_linking.patch

Buildroot:  %{_tmppath}/NAS-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison flex
BuildRequires:  imake
BuildRequires:  libX11-devel libXau-devel libXaw-devel libXext-devel
BuildRequires:  libXp-devel libXt-devel

Requires:           %{name}-libs = %{version}-%{release}
Requires(post):     chkconfig
Requires(preun):    chkconfig initscripts
Requires(postun):   initscripts


%package devel
Summary:    Development and doc files for the NAS 
Group:      Development/Libraries
Requires:   %{name}-libs = %{version}-%{release}

%package libs
Summary: Run-time libraries for NAS
Group:   System Environment/Libraries


%description
In a nutshell, NAS is the audio equivalent of an X display  server.
The Network Audio System (NAS) was developed by NCD for playing,
recording, and manipulating audio data over a network.  Like the
X Window System, it uses the client/server model to separate
applications from the specific drivers that control audio input
and output devices.
Key features of the Network Audio System include:
    o  Device-independent audio over the network
    o  Lots of audio file and data formats
    o  Can store sounds in server for rapid replay
    o  Extensive mixing, separating, and manipulation of audio data
    o  Simultaneous use of audio devices by multiple applications
    o  Use by a growing number of ISVs
    o  Small size
    o  Free!  No obnoxious licensing terms

%description libs
%{summary}.

%description devel
Development files and the documentation.


%prep
%setup -q
%patch0 -p0 -b .asneeded
%patch1 -p1 -b .move_AuErrorDB
%patch2
%patch3

for F in HISTORY; do
    iconv --from-code=ISO_8859-15 --to-code=UTF-8 "$F" > "${F}.tmp"
    touch -r "$F" "${F}.tmp"
    mv "${F}.tmp" "$F"
done


%build
xmkmf
# See HISTORY file how to modify CDEBUGFLAGS
make LIBDIR=%{_datadir}/X11 WORLDOPTS='-k CDEBUGFLAGS="%{optflags}"' %{?_smp_mflags} World


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} INCROOT=%{_includedir} \
  LIBDIR=%{_datadir}/X11  SHLIBDIR=%{_libdir} USRLIBDIR=%{_libdir} \
  MANPATH=%{_mandir} INSTALLFLAGS='-p' \
  install install.man

install -p -m755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{daemon}
install -p -m644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{daemon}

# Remove static libraries
rm $RPM_BUILD_ROOT%{_libdir}/*.a
# Rename config file
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/nasd.conf{.eg,}


%post
/sbin/chkconfig --add %{daemon}

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{daemon} stop >/dev/null 2>&1 ||:
    /sbin/chkconfig --del %{daemon}
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service %{daemon} condrestart >/dev/null 2>&1 || :
fi


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/nasd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{daemon}
%{_initrddir}/%{daemon}
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files libs
%defattr(-,root,root,-)
%doc README FAQ HISTORY TODO
%{_libdir}/libaudio.so.2
%{_libdir}/libaudio.so.2.4
%{_datadir}/X11/AuErrorDB

%files devel
%defattr(-,root,root,-)
%{_includedir}/audio/
%{_libdir}/libaudio.so
%{_mandir}/man3/*


%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
